ネットワークの更新IPv4ConfigurationManagementCondition

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

networkIPv4ConfigurationManagementCondition オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/managementConditions/{managementConditionId}
PATCH /deviceManagement/managementConditions/{managementConditionId}/managementConditionStatements/{managementConditionStatementId}/managementConditions/{managementConditionId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で 、networkIPv4ConfigurationManagementCondition オブジェクトの JSON 表記を指定します。

次の表に 、networkIPv4ConfigurationManagementConditionを作成するときに必要なプロパティを示します。

プロパティ 説明
id 文字列 管理条件の一意の識別子。 作成時に割り当てられたシステム生成値。 managementCondition から継承
uniqueName String 管理条件の一意の名前。 管理条件式で使用されます。 managementCondition から継承
displayName 文字列 管理者が管理条件の名前を定義しました。 managementCondition から継承
description String 管理者が管理条件の説明を定義しました。 managementCondition から継承
createdDateTime DateTimeOffset 管理条件が作成された時刻。 生成されたサービス側。 managementCondition から継承
modifiedDateTime DateTimeOffset 管理条件が最後に変更された時刻。 サービス側を更新しました。 managementCondition から継承
eTag String 管理条件の ETag。 サービス側を更新しました。 managementCondition から継承
applicablePlatforms devicePlatformType コレクション この管理条件に適用可能なプラットフォーム。 managementCondition から継承されます。 可能な値は、androidandroidForWorkiOSmacOSwindowsPhone81windows81AndLaterwindows10AndLaterandroidWorkProfileunknown です。
ipV4Prefix String 接続先の IPv4 サブネット。 例: 10.0.0.0/8
ipV4Gateway 文字列 IPv4 ゲートウェイ アドレス。 例: 10.0.0.0
ipV4DHCPServer String アダプターの DHCP サーバーの IPv4 アドレス。
ipV4DNSServerList String collection アダプター用に構成された IPv4 DNS サーバー。
dnsSuffixList String collection 現在のネットワークの有効な DNS サフィックス。 例: seattle.contoso.com

応答

成功した場合、このメソッドは応答コードと、応答本文で更新 200 OK された networkIPv4ConfigurationManagementCondition オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceManagement/managementConditions/{managementConditionId}
Content-type: application/json
Content-length: 529

{
  "@odata.type": "#microsoft.graph.networkIPv4ConfigurationManagementCondition",
  "uniqueName": "Unique Name value",
  "displayName": "Display Name value",
  "description": "Description value",
  "eTag": "ETag value",
  "applicablePlatforms": [
    "androidForWork"
  ],
  "ipV4Prefix": "Ip V4Prefix value",
  "ipV4Gateway": "Ip V4Gateway value",
  "ipV4DHCPServer": "Ip V4DHCPServer value",
  "ipV4DNSServerList": [
    "Ip V4DNSServer List value"
  ],
  "dnsSuffixList": [
    "Dns Suffix List value"
  ]
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 697

{
  "@odata.type": "#microsoft.graph.networkIPv4ConfigurationManagementCondition",
  "id": "5e4a8284-8284-5e4a-8482-4a5e84824a5e",
  "uniqueName": "Unique Name value",
  "displayName": "Display Name value",
  "description": "Description value",
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "modifiedDateTime": "2017-01-01T00:00:22.8983556-08:00",
  "eTag": "ETag value",
  "applicablePlatforms": [
    "androidForWork"
  ],
  "ipV4Prefix": "Ip V4Prefix value",
  "ipV4Gateway": "Ip V4Gateway value",
  "ipV4DHCPServer": "Ip V4DHCPServer value",
  "ipV4DNSServerList": [
    "Ip V4DNSServer List value"
  ],
  "dnsSuffixList": [
    "Dns Suffix List value"
  ]
}